> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create On-Call Policy



## OpenAPI

````yaml POST /api/v1/on-call/policies
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/on-call/policies:
    post:
      tags:
        - on-call
      summary: Create an on-call policy
      operationId: OnCallPolicyController_createPolicy_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOnCallPolicyDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateOnCallPolicyDto:
      type: object
      properties:
        name:
          type: string
        channelType:
          type: string
          enum:
            - email
            - sms
            - whatsapp
            - webhook
            - slack
            - discord
            - telegram
            - teams
        config:
          type: object
        teamId:
          type: string
        thresholdMinutes:
          type: number
      required:
        - name
        - thresholdMinutes
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````